AWS Lambda
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update AWS Lambda action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Invoke function hello-world",
"type": "LAMBDA",
"trigger_time": "ON_EVERY_EXECUTION",
"integration": {
"identifier": "aws"
},
"region": "us-east-1",
"function_name": "hello-world",
"qualifier": "",
"invocation_type": "RequestResponse",
"log_type": "Tail",
"client_context": "",
"payload": "{ \"revision\": \"${BUDDY_RUN_COMMIT}\", \"message\": \"${BUDDY_RUN_COMMIT_MESSAGE}\" }"
}'STATUS200 OK